API Reference for Marketo Engage

Update Email Metadata

POST /rest/asset/v1/email/{id}.json

Updates the metadata of an email asset.

Operation ID
updateEmailUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfEmailResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · UpdateEmailMetaDataRequest · 8 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

description string

Description of the asset

name string

Name of the Email

preHeader string

Preheader text for the email

operational boolean

Whether the email is operational. Operational emails bypass unsubscribe status. Defaults to false

published boolean

Whether the email has been published to Sales Insight. Default false

textOnly boolean

Setting to include text-only version of email when sent

webView boolean

Whether the email has been enabled to allow the 'View as Web Page' when received

autoCopyToText boolean

Setting to automatically copy HTML version to Text version

Responses

200 OK ResponseOfEmailResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of EmailResponse

Model EmailResponse

createdAt string (date-time)

Datetime the asset was created

description string

Description of the asset

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

fromEmail EmailHeaderField required

From-address of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

fromName EmailHeaderField required

From-name of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

id integer (int64)

Id of the asset

name string

Name of the asset

operational boolean required

Whether the email is operational. Operational emails bypass unsubscribe status. Defaults to false

publishToMSI boolean required

Whether the email is published to Marketo Sales Insight

replyEmail EmailHeaderField required

Reply-To address of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

status string required

Status filter for draft or approved versions

subject EmailHeaderField required

Subject Line of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

template integer (int32) required

Id of the parent template

textOnly boolean required

Setting to include text-only version of email when sent

updatedAt string (date-time)

Datetime the asset was most recently updated

url string

Url of the asset in the Marketo UI

version integer (int32)

The type version of the email

Values 1 2

webView boolean required

Whether 'View as Webpage' function is enabled for the email

workspace string

Name of the workspace

autoCopyToText boolean required

Setting to automatically copy HTML version to Text version

preHeader string required

The email preheader text (max 1024 characters)

ccFields array of EmailCCFields

Model EmailCCFields

attributeId string required

Attribute identifier

objectName string required

Object name. 'lead' or 'company'

displayName string required

Display name

apiName string required

API name

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "fromEmail": {
        "type": "string",
        "value": "string"
      },
      "fromName": {
        "type": "string",
        "value": "string"
      },
      "id": 123,
      "name": "Example name",
      "operational": true,
      "publishToMSI": true,
      "replyEmail": {
        "type": "string",
        "value": "string"
      },
      "status": "string",
      "subject": {
        "type": "string",
        "value": "string"
      },
      "template": 123,
      "textOnly": true,
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "version": 1,
      "webView": true,
      "workspace": "string",
      "autoCopyToText": true,
      "preHeader": "string",
      "ccFields": [
        {
          "attributeId": "123",
          "objectName": "Example name",
          "displayName": "Example name",
          "apiName": "Example name"
        }
      ]
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results